package com.openhis.web.check.appservice.impl;

import com.core.common.core.domain.R;
import com.openhis.check.domain.CheckPart;
import com.openhis.check.service.ICheckPartService;
import com.openhis.web.check.appservice.ICheckPartAppService;
import com.openhis.web.check.dto.CheckPartDto;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
@Service
@Slf4j
public class CheckPartAppServiceImpl implements ICheckPartAppService {
    @Resource
    private ICheckPartService checkPartService;
    @Override
    public R<?> getCheckPartList() {
        List<CheckPart> list = checkPartService.list();
        return R.ok(list);
    }

    @Override
    public R<?> addCheckPart(CheckPartDto checkPartDto) {
        return R.ok();
    }

    @Override
    public R<?> removeCheckPart(Long code) {
        return R.ok();
    }

    @Override
    public R<?> updateCheckPart(CheckPartDto checkPartDto) {
        return R.ok();
    }
}
